Name: libelf
Version: 0.8.2
Release: alt2

Summary: An ELF object file access library
License: LGPL
Group: System/Libraries
Url: http://www.stud.uni-hannover.de/~michael/software

Source: %url/%name-%version.tar.bz2
Patch1: %name-0.8.2-rh-hash.patch
Patch2: %name-0.8.2-rh-symver.patch

%description
The %name package contains a library for accessing ELF object files.
Libelf allows you to access the internals of the ELF object file format,
so you can see the different sections of an ELF file.

Libelf should be installed if you need access to ELF object file internals.

%package devel
Summary: Development files for %name
Group: Development/C
Requires: %name = %version-%release

%description devel
The %name package contains a library for accessing ELF object files.
Libelf allows you to access the internals of the ELF object file format,
so you can see the different sections of an ELF file.

This package contains include files necessary to build programs that use %name.

%package devel-static
Summary: Libelf as a static library
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
The %name package contains a library for accessing ELF object files.
Libelf allows you to access the internals of the ELF object file format,
so you can see the different sections of an ELF file.

This package contains static library necessary to build statically linked programs
that use %name.

%prep
%setup -q
%patch1 -p1
%patch2 -p1

%build
export DO_COMPAT=yes
%configure \
	--enable-compat \
	--enable-elf64 \
	--enable-versioning \
	--enable-shared \
	#
unset DO_COMPAT
%make_build

%install
%makeinstall

%find_lang %name

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files -f %name.lang
%_libdir/*.so.*

%files devel
%_libdir/*.so
%_includedir/*
%doc ChangeLog README

%files devel-static
%_libdir/*.a

%changelog
* Fri Oct 04 2002 Dmitry V. Levin <ldv@altlinux.org> 0.8.2-alt2
- Fixed compat install.
- Merged RH patches:
  + Don't overwrite sh_entsize unconditionally for ELF64
  + Don't crash if calculating size of section which
    hasn't been loaded yet.

* Tue Jul 02 2002 Dmitry V. Levin <ldv@altlinux.org> 0.8.2-alt1
- 0.8.2

* Tue Apr 24 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.7.0-ipl4mdk
- Fixed subpackage requires.

* Wed Apr 18 2001 Mikhail Zabaluev <mhz@altlinux.ru> 0.7.0-ipl3mdk
- Moved static libraries to devel-static subpackage.

* Tue Feb 27 2001 Alexander Bokovoy <ab@avilink.net> 0.7.0-ipl2mdk
- Shared library build added

* Fri Dec 22 2000 Dmitry V. Levin <ldv@fandra.org> 0.7.0-ipl1mdk
- 0.7.0.
- Updated Url and Source tags.

* Thu Sep 21 2000 Dmitry V. Levin <ldv@fandra.org> 0.6.4-ipl8mdk
- RE adaptions.
- Automatically added BuildRequires.

* Mon Sep 18 2000 David BAUDENS <baudens@mandrakesoft.com> 0.6.4-8mdk
- Allow to build (BM, macros, spec-helper (ahem...), etc.) ...
- Remove french Description and Summary

* Mon Mar 27 2000 Daouda Lo <daouda@mandrakesoft.com> 0.6.4-7mdk
- fix group

* Mon Nov 15 1999 Camille Begnis <camille@mandrakesoft.com>
- added compilation for SMP architectures

* Tue Jul 22 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- add french description

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 4)

* Thu Jan 14 1999 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Fri May 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Oct 31 1997 Michael K. Johnson <johnsonm@redhat.com>
- upgraded to 0.6.4
- buildroot
